Quassel IRC - Bug #1468

bugs.quassel-irc.org activation e-mail caught in spam filter on Gmail
01/20/2018 02:31 PM - acerspyro

Status: Resolved Start date: 01/20/2018
Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.12.4 0S: Any
Description

See attached screenshot

Removing the "your" in front of the e-mail title would probably prevent it from being marked as "spam".

A lot of scammers give their e-mails titles like "Your xyz <insert action, in this case, activation>", which is probably why Quassel's
activation email is getting caught.

| also wish to note how tiny the buttons on the bug tracker are, it actually took me a while to find the "open ticket" button.

History

#1 - 01/31/2018 05:30 AM - genius3000

- Assignee set to Sputnick

| believe Sput looks after the site/email/etc so assigning to him.
Could this even be due to the mail server used not having a valid SPF entry to make Google happy (or similar)?
acerspyro: can you provide the email header from GMail? Usually they say why they don't like something in there.

#2 - 02/02/2018 12:23 AM - phuzion

| wasn't the one who repored the bug, but here's a slightly redacted email that | received from Redmine here and went to my spam filter. My email is
hosted through Google Apps, and gets the same spam filtering as Gmail. This message did go to my spam filter. The only edits I've made are to
redact my domain and the password reset token for my account. The rest of the email is unmodified.

As you can see in the headers, it's not an SPF failure.

Delivered-To: quassel@REDACTED.com
Received: by 10.200.25.67 with SMTP id g3csp3424730qtk;
Sun, 28 Jan 2018 21:29:46 -0800 (PST)
X-Google-Smtp-Source: AH8x225jnON7/NfLaBQiP85SQszCge/M1JQJYaRaEiLBGfCa9K1lstplCUXb/hVVWkCyKLJgzYnRoS
X-Received: by 10.223.162.142 with SMTP id s14mr17443126wra.175.1517203786919;
Sun, 28 Jan 2018 21:29:46 -0800 (PST)
ARC-Seal: i=1; a=rsa-sha256; t=1517203786; cv=none;
d=google.com; s=arc-20160816;
b=yGHLr jFJegS07iESg026/PwMz02YaHAWGY+WOMisC9ogbVg8uWjO/pmybtyUQSUcvt
2xm4gs/HijnruGk37V4B6JkIdn2Qy8NOULSJ9H6r 1Bt Hnoh8gASJkALvIpbADTcwcc7BD
GKVbE+th7g7HHPF10Zn+jSb8J5d1HUHZ fKLxIybK6UYYvy5dWPmL5ByPDFhJHhe2mi JR
xplhRRBI3rK4GwkvQeJ3FPNolT/8ycbiOynBHooerQogvRM/+UEhZhBhJ72FDPYI1ZKG
PAatK/95Dvvk8bEt1KL4Iv1a3NjTdKrEhiYOKY1Kgz4LgGVMhEExRiclpuGJO1lQeYb/f
hjaQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=arc-20160816;
h=list-id:auto-submitted:content-transfer-encoding:mime-version
:subject :message—-id:from:date:arc-authentication-results;
bh=92cV0GEaz+5nFYjeE/cAXkFoOLOCwlabXfkWCFHVHdo=;
b=NnVOmR68s1TnGSz/FYSKWIXL+K/GiygpFQqt 06glgeTgSMDkdyiLL1C1UEUAjHsUUh
1y5t+EWI6LIBzZ27FmfBg6WL4eo7hoY7cfW72z7BIBmIL4LGRDHkHIsp4 IK jgqFmJ0OvVHH
U92ivwUEPrtTFBYZ1d/LBupJizP2gETqVeOclfxcIJdC6EFWEeg61319Xs8cpCq2kYfzP
k9Nt 53AhfEAOud9131kMNcgPr9CIF 1t xqf +wpQMEqePKTAxLvus /b4 9FmFL8H/7g33S0
0SgDSBKuKePyPsSWs1gStI08iaendsf/UmagqQVHBGB8QkOBXMixHHizFxt182vM//Y1Ar
WwCLA==
ARC-Authentication-Results: i=1; mx.google.com;
spf=pass (google.com: domain of bugs@quassel-irc.org designates 78.46.18.60 as permitted sender) smtp.m
ailfrom=bugs@quassel-irc.org
Return-Path: <bugs@quassel-irc.org>
Received: from altair.mindpool.net (altair.mindpool.net. [78.46.18.60]
by mx.google.com with ESMTP id a204si6617087wmf.110.2018.01.28.21.29.46
for <quassel@REDACTED.com>;
Sun, 28 Jan 2018 21:29:46 -0800 (PST)
Received-SPF: pass (google.com: domain of bugs@quassel-irc.org designates 78.46.18.60 as permitted sender) cli
ent-1ip=78.46.18.60;
Authentication-Results: mx.google.com;
spf=pass (google.com: domain of bugs@quassel-irc.org designates 78.46.18.60 as permitted sender) smtp.m
ailfrom=bugs@quassel-irc.org
Received: from quassel-irc.org (sirius.mindpool.net [78.46.18.61]) by altair.mindpool.net (Postfix) with ESMTP
SA id 9F2F917455D for <gquassel@REDACTED.com>; Mon, 29 Jan 2018 06:29:25 +0100 (CET)
Date: Mon, 29 Jan 2018 06:29:29 +0100
From: bugs@quassel-irc.org
Message—-ID: <5a6ebl393f402_5b43eddeb082833@sirius.mail>
Subject: Your Quassel IRC Issue Tracker password
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Mailer: Redmine
X-Redmine-Host: bugs.quassel-irc.org
X-Redmine-Site: Quassel IRC Issue Tracker
X-Auto-Response-Suppress: All
Auto-Submitted: auto-generated
List-Id: <bugs.quassel-irc.org>
X-mindpool-MailScanner-Information: Automated spam and virus checker for mindpool GbR
X-mindpool-MailScanner—-ID: 9F2F917455D.A7F9B
X-mindpool-MailScanner: Found to be clean
X-mindpool-MailScanner—-SpamCheck: not spam, SpamAssassin (not cached, score=-1.879, required 5, ALL_TRUSTED -1
.00, BAYES_00 -1.90, MISSING_HEADERS 1.02)
X-mindpool-MailScanner-From: bugs@quassel-irc.org
X-Spam—-Status: No

To change your password, click on the following link:
http://bugs.quassel-irc.org/account/lost_password?token=REDACTED

Login: phuzion

You have received this notification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here: http://bugs.quassel-irc.org and navigate to
My Account on the top right.

#3 - 02/14/2018 01:31 AM - acerspyro

Here's a redacted version of the headers for the e-mail that got detected as spam:

Delivered-To: REDACTED@REDACTED
Received: by 10.103.76.219 with SMTP id h88csp2052012vsg;
Sun, 14 Jan 2018 16:33:08 -0800 (PST)
X-Google-Smtp-Source: ACJEBovIA3cYbNQ3xH/mr747JIMt/wiWynUCAnPWVkbSv4xgvTnuHk2U3Q27xx1LjuSt6ItxAHLFZP
X-Received: by 10.223.197.146 with SMTP id ml8mr26113926wrg.115.1515976388928;
Sun, 14 Jan 2018 16:33:08 -0800 (PST)
ARC-Seal: i=1; a=rsa-sha256; t=1515976388; cv=none;
d=google.com; s=arc-20160816;
b=72601giviYKpPkpTHJzVOIAMt +ALBzOMfxfkGrxClaeM+xVwPgftxygQDpw2a9sW9au
ft+93j04xk9ujxUToxL/A69tyhgltV6NA2Q4tG70UT3nf jSx3eWPYgI3NZWQdUpfIlale
40ifpzUoUZy30E5U0WwvIXoGPimpOKUBL jPlubik4PcJzQyKWyaaST2PTnEIUKs 700Vt
oMkhpTbuiMY7QL4TgPEMTYNHONOaHKYRIWAw1AYyQFKKJY8RAY/vHeCJZ+VDdwoEO21uz
I15JEYFNVOs90nv2Z6VwTX8YbkQKudMh9xgKoxXMVCFDSIuwglZkRMpt £sYQezWIfptO
wiPg==
ARC-Message—-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=arc-20160816;
h=list-id:auto-submitted:content-transfer-encoding:mime-version
:subject:message—-id:from:date:arc-authentication-results;
bh=A0SA1dBvYZ6pRpHpe585MDJF 1bKVgBxvrrvl1+nC6dA=;
b=kTNeZG8n0jjjllxL/gI6h5znua+PrJ4yIqg8t8dwWt3KznDaojtn+gONt1BQyKVzz/5
epORZjJ/xhTkqrgbwSCxYs8B6fsNWSfm5nhrzCwRHE3J4xushDCwzgCgghZY8jExg/al
0Md/0EBX5IfY9f+hjRVD6WdpuabTOpnmgRZvkYb23WM6SHIK1 Iwi3HYYCdpcGIRpkgsV
d0Y9qgrcc8+aEo98IbfVs4HBmXDbf3LsdRwWSRSMAL1Z7T8ubkDgGaprQaPoQ8csIG44z5y
1E8zCtI5kSz0jsnamYw3ov4FbwwfYKIoSbgfQXXIBL4AmYH/yYgHvcEt2F1/vG3WP1xaC
VLTQ==
ARC-Authentication-Results: i=1; mx.google.com;
spf=pass (google.com: domain of bugs@quassel-irc.org designates 78.46.18.60 as permitted sender) smtp.m
ailfrom=bugs@quassel-irc.org
Return-Path: <bugs@quassel-irc.org>
Received: from altair.mindpool.net (altair.mindpool.net. [78.46.18.60]
by mx.google.com with ESMTP id k124si5775533wmb.56.2018.01.14.16.33.08
for <REDACTEDQREDACTED>;
Sun, 14 Jan 2018 16:33:08 -0800 (PST)
Received-SPF: pass (google.com: domain of bugs@quassel-irc.org designates 78.46.18.60 as permitted sender) cli
ent-1p=78.46.18.60;
Authentication-Results: mx.google.com;

spf=pass (google.com: domain of bugs@quassel-irc.org designates 78.46.18.60 as permitted sender) smtp.m
ailfrom=bugs@quassel-irc.org
Received: from quassel-irc.org (sirius.mindpool.net [78.46.18.61]) by altair.mindpool.net (Postfix) with ESMTP
SA id C5C7216E9BD for <REDACTEDQ@REDACTED>; Mon, 15 Jan 2018 01:32:46 +0100 (CET)
Date: Mon, 15 Jan 2018 01:32:50 +0100
From: bugs@quassel-irc.org
Message-ID: <5abbf6b26dlc8_65b048fa58730c9@sirius.mail>
Subject: Your Quassel IRC Issue Tracker account activation
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Mailer: Redmine
X-Redmine-Host: bugs.quassel-irc.org
X-Redmine-Site: Quassel IRC Issue Tracker
X-Auto-Response—-Suppress: All
Auto-Submitted: auto-generated
List-Id: <bugs.quassel-irc.org>
X-mindpool-MailScanner-Information: Automated spam and virus checker for mindpool GbR
X-mindpool-MailScanner—-ID: C5C7216E9BD.ABBD6
X-mindpool-MailScanner: Found to be clean
X-mindpool-MailScanner—-SpamCheck: not spam, SpamAssassin (not cached, score=-1.879, required 5, ALL_TRUSTED -1
.00, BAYES_00 -1.90, MISSING_HEADERS 1.02)
X-mindpool-MailScanner-From: bugs@quassel-irc.org
X-Spam—-Status: No

To activate your account, click on the following link:
http://bugs.quassel-irc.org/account/activate?token=REDACTED

You have received this notification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here: http://bugs.quassel-irc.org and navigate to
My Account on the top right.

#4 - 06/15/2021 01:06 AM - phuzion

- Status changed from New to Resolved

| have just tested this on the same domain as before, still hosted on Google Apps, and the email went straight to my inbox.

| think we can call this resolved for now. If not, we'll reopen it.

Files

Activation email.png 53.7 KB 01/20/2018 acerspyro
